<div class="wrappeur">
  <div class="wrappeur__pokemon">
    @for (pokemon of pokemons; track $index) {
    <div class="wrappeur__pokemon__card" [routerLink]="['/pokemon', $index]">
      <span class="wrappeur__pokemon__card__detail">{{ pokemon.name }}</span>
      <div class="wrappeur__pokemon__card__wrappeurImg">
        @if (pokemonsImg) {
        <img
          [src]="pokemonsImg[$index].home.front_default"
          [alt]="pokemon.name"
          class="wrappeur__pokemon__card__wrappeurImg__img"
        />
        }
      </div>
      <ul class="wrappeur__pokemon__card__stats">
        <li
          class="wrappeur__pokemon__card__stats__items"
          *ngFor="let stat of pokemon.stats"
        >
          <span class="wrappeur__pokemon__card__stats__items__span"
            >{{ stat.stat.name }} :</span
          >
          <span class="wrappeur__pokemon__card__stats__items__span">{{
            stat.base_stat
          }}</span>
        </li>
      </ul>
    </div>
    }
  </div>
  <div class="wrappeur__nav">
    <button class="wrappeur__nav__item" *ngIf="ressource.previous" (click)="goOtherPage(ressource.previous)">Previous</button>
    <button class="wrappeur__nav__item" *ngIf="ressource.next" (click)="goOtherPage(ressource.next)">Next</button>
  </div>
</div>
